Subject: Re: 30 second startup delay on Cygwin programs from SYSTEM
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Scott Atwood <[email-masked]>
Cc: [email-masked]
Date: Fri, 26 Oct 2001 14:37:40 -0400

At 02:29 PM 10/26/2001, Scott Atwood wrote:
>"Larry Hall (RFK Partners, Inc)" writes:
> > 
> > FAQ entry
> > 
> > Why is Cygwin suddenly so slow?
> > http://www.cygwin.com/faq/faq_4.html#SEC32
> > 
> > is a good hint.  Focus on the fact that network shares (or drives) in the
> > path are an issue, not necessarily the recent change that makes the now
> > obsolete //X drive syntax equivalent to a network path.  While this may be 
> > your problem, references to network directories in your path is a timeless
> > issue that can account for the behavior you describe.  There are multiple
> > posts about this in the mail archives, although they are likely to be 
> > buried fairly far back in the archives and may be difficult to unearth 
> > if you don't happen to hit a keyword used in those messages. ;-)
>
>I don't think the //X drive syntax is the problem here.  This is a new
>installation, so I can't compare to previous versions of the Cygwin DLL,
>but the %PATH% of the SYSTEM account doesn't contain any network drives:
>
>C:\WINNT\system32;C:\WINNT;C:\WINNT\System32\Wbem;C:\Program Files\Symantec\pcAnywhere\;C:\Program Files\Common Files\Network Associates\VirusScan Engine\4.0.xx\;C:\cygwin\bin

Then I'm not sure what you're problem is.  Perhaps it's your virus scanner.
Try turning it off and seeing if that helps.  Otherwise, I guess
you're stuck debugging the DLL...

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/